> For the complete documentation index, see [llms.txt](https://developers.ranklytics.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.ranklytics.ai/endpoints.md).

# Endpoints

- [Get Projects](https://developers.ranklytics.ai/endpoints/get-projects.md): Get all projects within your account
- [Get Keywords](https://developers.ranklytics.ai/endpoints/get-keywords.md): Get all tracked keywords within your project along with their search volume and competition index.
- [Get Content](https://developers.ranklytics.ai/endpoints/get-content.md): Get all the content within your project with full details.
- [Get Rankings](https://developers.ranklytics.ai/endpoints/get-rankings.md): Get a full ranking report of all keywords you currently rank for.
- [Find Keywords](https://developers.ranklytics.ai/endpoints/find-keywords.md): Find keyword ideas based on a seed keyword
- [Find Content Ideas](https://developers.ranklytics.ai/endpoints/find-content-ideas.md): Find content ideas based on a keyword
- [Get OnPage Report](https://developers.ranklytics.ai/endpoints/get-onpage-report.md): Get all pages and their corresponding onpage report
- [Add Keyword to Project](https://developers.ranklytics.ai/endpoints/add-keyword-to-project.md): Add a keyword to your project and start tracking
- [Add a Content Idea](https://developers.ranklytics.ai/endpoints/add-a-content-idea.md): Add a content idea to your project and schedule it for article generation


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.ranklytics.ai/endpoints.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
